Debian DLA-2951-1:flac - LTS 安全更新

medium Nessus 插件 ID 159003

语言:

简介

远程 Debian 主机缺少与安全相关的更新。

描述

远程 Debian 9 主机上安装的多个程序包受到 dla-2951 公告中提及的一个漏洞影响。

- 由于缺少边界检查,stream_encoder.c 的 append_to_verify_fifo_interleaved_ 中可能存在越界写入漏洞。这可能导致本地信息泄露,且无需其他执行权限。无需用户交互即可利用漏洞。产品:Android 版本:
Android-11Android ID:A-174302683 (CVE-2021-0561)

请注意,Nessus 尚未测试此问题,而是只依靠应用程序自我报告的版本号来判断。

解决方案

升级 flac 程序包。

针对 Debian 9 Stretch,此问题已在 1.3.2-2+deb9u2 版本中解决。

另见

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1006339

https://security-tracker.debian.org/tracker/source-package/flac

https://www.debian.org/lts/security/2022/dla-2951

https://security-tracker.debian.org/tracker/CVE-2021-0561

https://packages.debian.org/source/stretch/flac

插件详情

严重性: Medium

ID: 159003

文件名: debian_DLA-2951.nasl

版本: 1.2

类型: local

代理: unix

发布时间: 2022/3/17

最近更新时间: 2022/3/17

支持的传感器: Frictionless Assessment Agent, Nessus Agent

风险信息

VPR

风险因素: Medium

分数: 4.4

CVSS v2

风险因素: Low

基本分数: 2.1

时间分数: 1.6

矢量: AV:L/AC:L/Au:N/C:P/I:N/A:N

时间矢量: E:U/RL:OF/RC:C

CVSS 分数来源: CVE-2021-0561

CVSS v3

风险因素: Medium

基本分数: 5.5

时间分数: 4.8

矢量: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:debian:debian_linux:flac, p-cpe:/a:debian:debian_linux:libflac%2b%2b-dev, p-cpe:/a:debian:debian_linux:libflac%2b%2b6v5, p-cpe:/a:debian:debian_linux:libflac-dev, p-cpe:/a:debian:debian_linux:libflac-doc, p-cpe:/a:debian:debian_linux:libflac8, cpe:/o:debian:debian_linux:9.0

必需的 KB 项: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

易利用性: No known exploits are available

补丁发布日期: 2022/3/17

漏洞发布日期: 2021/6/22

参考资料信息

CVE: CVE-2021-0561